Get Domain Mapping
curl --request GET \
--url https://api.twine.se/v1/org/domain-mappings/{domain_mapping_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.twine.se/v1/org/domain-mappings/{domain_mapping_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.twine.se/v1/org/domain-mappings/{domain_mapping_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"enabled": true,
"from_domain": "employee",
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"org_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"source_system_integration_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"target_system_integration_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"to_domain": "employee",
"all_conditions_must_apply": false,
"conditions": [
{
"apply_on_actions": [
"create"
],
"condition": {},
"domain": "employee",
"enabled": true,
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"description": "<string>"
}
],
"description": "Employees from the HR system into payroll",
"inserted_at": "2021-06-01T12:00:00Z",
"mode": "default",
"sync_triggers": [
{
"domain_mapping_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"org_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"system_integration_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"cron_expression": "0 0 * * *",
"domain_configuration": {
"domain": "time_report",
"from_date": "2023-12-25",
"from_date_engine": {},
"to_date": "2023-12-25",
"to_date_engine": {}
},
"last_sync_ended_at": "2023-01-01T00:00:00Z",
"last_sync_started_at": "2023-01-01T00:00:00Z",
"next_sync_at": "2023-01-01T00:00:00Z",
"parent_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b"
}
],
"updated_at": "2021-06-01T12:00:00Z"
}
}{
"code": 400,
"errors": [],
"message": "Bad Request"
}{
"code": 403,
"errors": [],
"message": "Forbidden"
}{
"code": 404,
"errors": [],
"message": "Not Found"
}{
"code": 500,
"errors": [],
"message": "Internal Server Error"
}DomainMappings
Get Domain Mapping
Retrieve a single domain mapping by its ID.
GET
/
v1
/
org
/
domain-mappings
/
{domain_mapping_id}
Get Domain Mapping
Authorizations
Bearer token for authentication
Path Parameters
The UUID of the domain mapping to retrieve
Response
Domain Mapping Response
Response schema for a single domain mapping.
An object representing a domain mapping.
Show child attributes
Show child attributes
⌘I